aboutsummaryrefslogtreecommitdiff
path: root/dev
diff options
context:
space:
mode:
Diffstat (limited to 'dev')
-rwxr-xr-xdev27
1 files changed, 27 insertions, 0 deletions
diff --git a/dev b/dev
new file mode 100755
index 0000000..af2b51a
--- /dev/null
+++ b/dev
@@ -0,0 +1,27 @@
+#!/usr/bin/env bash
+cd "$(dirname $0)"
+CMD="$1"
+PROJECT="tabata-timer"
+
+if [ "$CMD" = "start" ]; then
+
+ nix-shell --run "make node_modules && tmuxinator local"
+
+elif [ "$CMD" = "stop" ]; then
+
+ nix-shell --run "tmux kill-session -t $PROJECT"
+
+elif [ "$CMD" = "watch-ocaml" ]; then
+
+ bsb -make-world -w
+
+elif [ "$CMD" = "watch-js" ]; then
+
+ node_modules/.bin/rollup --watch --config rollup.config.js
+
+else
+
+ echo "Usage: $0 start|stop|watch-ocaml|watch-js"
+ exit 1
+
+fi